MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032218Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-16 21:072021-03-23 21:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032218: Visualization - move V3d_View::ShadingModel() property to Graphic3d_RenderingParams
DescriptionDefault shading model property logically belongs to Graphic3d_RenderingParams, therefore it is proposed moving it there for consistency.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0032222verifiedbugmaster Visualization, V3d_Viewer - use Graphic3d_TOSM_FRAGMENT by default instead of Graphic3d_TOSM_VERTEX 

-  Notes
(0099536)
kgv (developer)
2021-03-16 22:49

Patch is ready for review
- OCCT: branch CR32218.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32218-master-KGV/ [^]
(0099542)
osa (developer)
2021-03-17 11:19

The patch was reviewed
(0099608)
bugmaster (administrator)
2021-03-20 12:49

Combination -
OCCT branch : IR-2021-03-19
master SHA - d209b3176e21010e096833052698f1c0da5b04d5
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-19 SHA - 6baf3a921c29525981c0ad7881214c9b20ffe3c1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17753.85000000016 / 17750.250000000156 [+0.02%]
Products
Total CPU difference: 11481.660000000102 / 11540.5800000001 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19361.09375 / 19341.28125 [+0.10%]
Products
Total CPU difference: 12879.75 / 12869.921875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 114db5a5
Timestamp: 2021-03-16 17:58:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032218: Visualization - move V3d_View::ShadingModel() property to Graphic3d_RenderingParams
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_RenderingParams.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-16 21:07 kgv New Issue
2021-03-16 21:07 kgv Assigned To => kgv
2021-03-16 22:49 kgv Note Added: 0099536
2021-03-16 22:49 kgv Assigned To kgv => osa
2021-03-16 22:49 kgv Status new => resolved
2021-03-17 11:19 osa Note Added: 0099542
2021-03-17 11:19 osa Assigned To osa => bugmaster
2021-03-17 11:19 osa Status resolved => reviewed
2021-03-17 11:26 kgv Relationship added parent of 0032222
2021-03-20 12:49 bugmaster Note Added: 0099608
2021-03-20 12:49 bugmaster Status reviewed => tested
2021-03-20 12:54 bugmaster Test case number => Not required
2021-03-23 21:46 bugmaster Changeset attached => occt master 114db5a5
2021-03-23 21:46 bugmaster Status tested => verified
2021-03-23 21:46 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker